Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.setup
Class AbstractSetupDatabaseAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
                  com.atlassian.bamboo.ww2.actions.setup.AbstractSetupDatabaseAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

Direct Known Subclasses:
  SetupEmbeddedDatabaseAction

    public abstract class AbstractSetupDatabaseAction

extends AbstractSetupAction

Field Summary
`protected DatabaseDetails` | `dbDetails`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`AbstractSetupDatabaseAction()`

Method Summary
`String` | `getDatabase()`
`DatabaseDetails` | `getDbConfigInfo()`
`protected List` | `getErrorLevelLogsEvents()`
`HibernateConfig` | `getHibernateConfig()`
`protected boolean` | `isDriverValid(DatabaseDetails dbDetails)`
`protected void` | `registerLoggingErrorEventsWithAction(List loggingEvents)` adds these logging events to action errors map so they can be displayed in the action's view
`void` | `setDatabase(String database)`
`void` | `setDbConfigInfo(DatabaseDetails dbDetails)`
`void` | `setHibernateConfig(HibernateConfig hibernateConfig)`

Methods inherited from class com.atlassian.bamboo.ww2.actions.setup.AbstractSetupAction
`getBootstrapManager, getSetupPersister, getSetupTypeInstall, setSetupPersister, setSetupTypeInstall`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### dbDetails

    protected DatabaseDetails dbDetails

Constructor Detail

### AbstractSetupDatabaseAction

    public AbstractSetupDatabaseAction()

Method Detail

### getHibernateConfig

    public HibernateConfig getHibernateConfig()

### setHibernateConfig

    public void setHibernateConfig(HibernateConfig hibernateConfig)

### getDatabase

    public String getDatabase()

### setDatabase

    public void setDatabase(String database)

### getErrorLevelLogsEvents

    protected List getErrorLevelLogsEvents()

### registerLoggingErrorEventsWithAction

    protected void registerLoggingErrorEventsWithAction(List loggingEvents)

  adds these logging events to action errors map so they can be displayed in the action's view

  Parameters:
    `loggingEvents` - List of DatedLoggingEvent objects

### isDriverValid

    protected boolean isDriverValid(DatabaseDetails dbDetails)

### getDbConfigInfo

    public DatabaseDetails getDbConfigInfo()

### setDbConfigInfo

    public void setDbConfigInfo(DatabaseDetails dbDetails)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.